Redmine - Defect #10554

Defect symbols when exporting tasks in pdf
2012-03-28 13:14 - AnekcaHap 3akpesckuii

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 1.3.3

Resolution: Fixed Affected version: 1.3.2
Description

Some fields of PDF file have defect symbols that look like (?) sign instead of russian letters "o" and "iA". CSV export seems to look
fine.

Ruby version 1.8.7 (x86_64-linux)
RubyGems version 1.8.17

Rack version 1.1.3

Rails version 2.3.14

Active Record version 2.3.14

Active Resource version 2.3.14

Action Mailer version 2.3.14

Active Support version 2.3.14

Edge Rails revision unknown

Application root /var/www/redmine
Environment production

Database adapter mysql 5.0.95
Database schema version 20110902000000

Related issues:
Related to Redmine - Patch #10464: Enhanced PDF output for Issues list Closed

Associated revisions

Revision 9312 - 2012-04-03 13:22 - Toshi MARUYAMA
pdf: fix tcpdf automatic line break bug (#10554)

Contributed by Jun NAITOH.

Revision 9322 - 2012-04-04 14:23 - Toshi MARUYAMA
Merge r9312 from trunk

pdf: fix tcpdf automatic line break bug (#10554)

Contributed by Jun NAITOH.

History

#1 - 2012-04-01 19:45 - Yuri Makarov

This defect occurs in word breaks in UTF encoding.
This defect will be significantly reduced in 1.4.0
See Issue #10464

#2 - 2012-04-03 12:55 - Jun NAITOH

- File tcpdf_automatic_line_break_bug_fix_r9311.patch added
- File before_patch.png added

- File after_patch.png added

I'm sorry. This problem is caused by #8310.
I mistook logic of automatic line break with UTF-8 multibyte character.

| reproduced Japanese PDF with "general_pdf_encoding: UTF-8" setting.
https://www.redmine.org/issues/10464
https://www.redmine.org/issues/8310

| wrote patch.

#3 - 2012-04-03 13:09 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

- Target version set to 1.4.0

#4 - 2012-04-03 13:17 - Toshi MARUYAMA

- Subject changed from Defect symbols when exporting tasks in pdf in Russian locale. to Defect symbols when exporting tasks in pdf

#5 - 2012-04-04 14:25 - Toshi MARUYAMA
- File 1.3-stable-r9314.pdf added

- File 1.3-stable-r9322.pdf added

- File trunk-r9321.pdf added

- Status changed from New to Closed

- Resolution set to Fixed

| committed in trunk r9312 and 1.3-stable r9322, thanks.

#6 - 2012-04-06 14:28 - Toshi MARUYAMA

- Target version changed from 1.4.0 to 1.3.3

Files

export.pdf 327 KB 2012-03-28 AnekcaHap 3akpeBckuii
export.csv 1.14 KB 2012-03-28 AnekcaHap 3akpeBckuii
tcpdf_automatic_line_break_bug_fix_r9311.patch 1.58 KB 2012-04-03 Jun NAITOH
before_patch.png 54.7 KB 2012-04-03 Jun NAITOH
after_patch.png 51.9 KB 2012-04-03 Jun NAITOH
1.3-stable-r9314.pdf 317 KB 2012-04-04 Toshi MARUYAMA
1.3-stable-r9322.pdf 317 KB 2012-04-04 Toshi MARUYAMA
trunk-r9321.pdf 315 KB 2012-04-04 Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/9312
https://www.redmine.org/projects/redmine/repository/svn/revisions/9322
http://www.tcpdf.org

